Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045958
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[New POS] Coretrivialhave not tried2021-02-26 11:262021-03-26 10:06
ReporterplujanView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045958: Combobox styles miss some styles

DescriptionThe Combo component needs some restyling in order to shown the focus properly
Steps To ReproduceThe yellow focus border is not shown. See attached screenshot of the User Profile component.
TagsNo tags attached.
Attached Filespng file icon ComboStyles.png [^] (11,993 bytes) 2021-02-26 11:26


png file icon imgpsh_fullsize_anim.png [^] (141,982 bytes) 2021-03-15 19:02

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0126711)
mtaal (manager)
2021-03-15 19:02

Also possibly text-overflow: ellipsis must be used
(0126718)
hgbot (developer)
2021-03-16 09:25

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/392 [^]
(0126856)
hgbot (developer)
2021-03-23 15:38

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: cefbd4e2a4527b4cdfa024b634dfc2088b250f27
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-23T15:37:24+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/cefbd4e2a4527b4cdfa024b634dfc2088b250f27 [^]

Fixed ISSUE-45958: Adjusted styling of ComboBox component

---
A web-jspack/org.openbravo.core2/src/assets/icons/select.svg
M web-jspack/org.openbravo.core2/src/assets/style/iconography.css
M web-jspack/org.openbravo.core2/src/components/BaseFormInput/BaseFormInput.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126857)
hgbot (developer)
2021-03-23 15:38

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 35efa9714535a94399bd807240ff4e21a6eec473
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-23T15:37:24+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/35efa9714535a94399bd807240ff4e21a6eec473 [^]

Related to ISSUE-45958: Changing dropdown style to be able to customize it

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126858)
hgbot (developer)
2021-03-23 15:38

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 99449ed4fa2c85bf8f8daa94c4510b631069e9d3
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-23T15:37:24+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/99449ed4fa2c85bf8f8daa94c4510b631069e9d3 [^]

Related to ISSUE-45958: Adjusted combobox options to make it more material-ui and adding state styles

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126859)
hgbot (developer)
2021-03-23 15:38

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/merge_requests/392 [^]
(0126863)
hgbot (developer)
2021-03-23 18:52

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 16f7f8ad3fcf66846579e3edaa07c5b327249206
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-23T18:49:19+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/16f7f8ad3fcf66846579e3edaa07c5b327249206 [^]

Revert "Related to ISSUE-45958: Adjusted combobox options to make it more material-ui and adding state styles"

This reverts commit 99449ed4fa2c85bf8f8daa94c4510b631069e9d3.

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126864)
hgbot (developer)
2021-03-23 18:52

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: a224ba2da24ac71769e4e6882c4b0fc255f34e03
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-23T18:49:43+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/a224ba2da24ac71769e4e6882c4b0fc255f34e03 [^]

Revert "Related to ISSUE-45958: Changing dropdown style to be able to customize it"

This reverts commit 35efa9714535a94399bd807240ff4e21a6eec473.

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126942)
hgbot (developer)
2021-03-26 10:06

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 5e36712247b8bbcd7a18c53ca563dbb5a532f076
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-26T10:00:34+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/5e36712247b8bbcd7a18c53ca563dbb5a532f076 [^]

Related to ISSUE-45958: Changing dropdown style to be able to customize it

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126943)
hgbot (developer)
2021-03-26 10:06

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 258a0d9b245cfb079753cb77d9c7fe7d3b9b30ba
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-26T10:00:34+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/258a0d9b245cfb079753cb77d9c7fe7d3b9b30ba [^]

Related to ISSUE-45958: Adjusted combobox options to make it more material-ui and adding state styles

---
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.css
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
---
(0126944)
hgbot (developer)
2021-03-26 10:06

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2 [^]
Changeset: 31ece9edf04e0143c22c11aaaf6951776935d137
Author: Javier Armendáriz <javier.armendariz@openbravo.com>
Date: 2021-03-26T10:00:34+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.core2/-/commit/31ece9edf04e0143c22c11aaaf6951776935d137 [^]

Related to ISSUE-45958: Fixed combobox related tests.

This also adds additional tests to check for onChange callback values and adding a Storybook to show the usage
of inputRef. This also fixes the "Found 6 elements with non-unique id #currency" in the ComboBox storybook.

---
A web-jspack/org.openbravo.core2/src/components/ComboBox/__test__/openComboBoxOptions.js
M web-jspack/org.openbravo.core2/src/components/AppBar/ProfileSelector/ProfileSelector.jsx
M web-jspack/org.openbravo.core2/src/components/AppBar/ProfileSelector/__test__/ProfileSelector.test.jsx
M web-jspack/org.openbravo.core2/src/components/ComboBox/ComboBox.jsx
M web-jspack/org.openbravo.core2/src/components/ComboBox/__test__/ComboBox.test.jsx
M web-jspack/org.openbravo.core2/src/components/ComboBox/stories/ComboBox.stories.jsx
M web-jspack/org.openbravo.core2/src/components/FilterableGrid/__test__/FilterBar.test.jsx
---

- Issue History
Date Modified Username Field Change
2021-02-26 11:26 plujan New Issue
2021-02-26 11:26 plujan Assigned To => Retail
2021-02-26 11:26 plujan File Added: ComboStyles.png
2021-02-26 11:26 plujan Triggers an Emergency Pack => No
2021-02-28 18:28 guilleaer Assigned To Retail => guilleaer
2021-02-28 18:29 guilleaer Assigned To guilleaer => jarmendariz
2021-03-15 08:50 jarmendariz Status new => scheduled
2021-03-15 19:02 mtaal Note Added: 0126711
2021-03-15 19:02 mtaal File Added: imgpsh_fullsize_anim.png
2021-03-16 09:25 hgbot Note Added: 0126718
2021-03-23 15:38 hgbot Resolution open => fixed
2021-03-23 15:38 hgbot Status scheduled => closed
2021-03-23 15:38 hgbot Note Added: 0126856
2021-03-23 15:38 hgbot Note Added: 0126857
2021-03-23 15:38 hgbot Note Added: 0126858
2021-03-23 15:38 hgbot Note Added: 0126859
2021-03-23 18:52 hgbot Note Added: 0126863
2021-03-23 18:52 hgbot Note Added: 0126864
2021-03-26 10:06 hgbot Note Added: 0126942
2021-03-26 10:06 hgbot Note Added: 0126943
2021-03-26 10:06 hgbot Note Added: 0126944


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker